My Webcam does not work with Cheese

Bug #1778555 reported by Victor Porton on 2018-06-25
30
This bug affects 7 people
Affects Status Importance Assigned to Milestone
cheese (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Cheese says that there is no video cam. The same webcam (connected through USB 3) does work in Skype.

From dmesg:

[ 1.329876] usb 3-2: New USB device found, idVendor=17a1, idProduct=0128
[ 1.329877] usb 3-2: New USB device strings: Mfr=32, Product=38, SerialNumber=0
[ 1.329878] usb 3-2: Product: USB2.0 JPEG WebCam
[ 1.329879] usb 3-2: Manufacturer: TASCORP

From dmidecode (about my motherboard):

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: Gigabyte Technology Co., Ltd.
        Product Name: H67A-UD3H
        Version:
        Serial Number:
        UUID: 00000000-0000-0000-0000-1C6F65886700
        Wake-up Type: Power Switch
        SKU Number:
        Family:

$ lsb_release -rd
Description: Ubuntu 18.04 LTS
Release: 18.04

$ dpkg -s cheese
Package: cheese
Status: install ok installed
Priority: optional
Section: gnome
Installed-Size: 437
Maintainer: Ubuntu Developers <email address hidden>
Architecture: amd64
Version: 3.28.0-1ubuntu1
Depends: libc6 (>= 2.4), libcanberra-gtk3-0 (>= 0.25), libcheese-gtk25 (>= 3.18.0), libcheese8 (>= 3.18.0), libclutter-1.0-0 (>= 1.16), libclutter-gtk-1.0-0 (>= 0.91.8), libgdk-pixbuf2.0-0 (>= 2.25.2), libglib2.0-0 (>= 2.39.90), libgnome-desktop-3-17 (>= 3.17.92), libgstreamer1.0-0 (>= 1.0.0), libgtk-3-0 (>= 3.13.7), cheese-common (>= 3.28.0-1ubuntu1), gnome-video-effects
Recommends: gvfs, yelp
Suggests: gnome-video-effects-frei0r
Description: tool to take pictures and videos from your webcam
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
Homepage: https://wiki.gnome.org/Apps/Cheese
Original-Maintainer: Debian GNOME Maintainers <email address hidden>

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: cheese 3.28.0-1ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-23.25-generic 4.15.18
Uname: Linux 4.15.0-23-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Jun 25 19:11:59 2018
InstallationDate: Installed on 2018-06-23 (1 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: Gigabyte Technology Co., Ltd. H67A-UD3H
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_IL
 SHELL=/bin/bash
RelatedPackageVersions:
 cheese 3.28.0-1ubuntu1
 cheese-common 3.28.0-1ubuntu1
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/02/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F4
dmi.board.name: H67A-UD3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF4:bd11/02/2010:svnGigabyteTechnologyCo.,Ltd.:pnH67A-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnH67A-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: H67A-UD3H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: porton 1424 F.... pulseaudio
 /dev/snd/controlC0: porton 1424 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-06-23 (1 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: Gigabyte Technology Co., Ltd. H67A-UD3H
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_IL
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-23-generic root=UUID=521f8f0f-da76-44d7-8d98-2b45259ff93c ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-23.25-generic 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-23-generic N/A
 linux-backports-modules-4.15.0-23-generic N/A
 linux-firmware 1.173.1
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: bionic
Uname: Linux 4.15.0-23-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/02/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F4
dmi.board.name: H67A-UD3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF4:bd11/02/2010:svnGigabyteTechnologyCo.,Ltd.:pnH67A-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnH67A-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: H67A-UD3H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Victor Porton (porton) wrote :

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1778555

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc2

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

On Tue, 2018-06-26 at 20:40 +0000, Joseph Salisbury wrote:
> Did this issue start happening after an update/upgrade? Was there a
> prior kernel version where you were not having this particular
> problem?

The problem first appeared after an upgrade of Debian Linux (mixed
"frankendebian" distro). I do not remember the exact versions of the
software.

In Ubuntu 18.04 the problem appeared immediately after installation. I
haven't tested with other versions of Ubuntu.

>
> Would it be possible for you to test the latest upstream kernel?
> Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the
> latest
> v4.18 kernel[0].
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.

OK, I am going to do this later.

> Once testing of the upstream kernel is complete, please mark this bug
> as
> "Confirmed".

Victor Porton (porton) wrote :

It does not work with the upstream kernel.

(By the way, I realize that this is not a place to get support, but you should help the bug reported to test: Is it good to run my production PC with the upstream kernel from now on? or it it better to uninstall it after finishing testing?)

Also: I told that it does work with Skype by mistake. Video cam does not work in Skype, too.

$ uname -a
Linux victor-pc 4.18.0-041800rc2-generic #201806241430 SMP Sun Jun 24 14:33:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
~,0$ cheese

(cheese:2433): Gtk-WARNING **: 01:11:18.402: Theme parsing error: cheese.css:7:35: The style property GtkScrollbar:min-slider-length is deprecated and shouldn't be used anymore. It will be removed in a future version
** Message: 01:11:18.486: cheese-application.vala:211: Error during camera setup: No device found

(cheese:2433): cheese-CRITICAL **: 01:11:18.497: cheese_camera_device_get_name: assertion 'CHEESE_IS_CAMERA_DEVICE (device)' failed

(cheese:2433): GLib-CRITICAL **: 01:11:18.497: g_variant_new_string: assertion 'string != NULL' failed

(cheese:2433): GLib-CRITICAL **: 01:11:18.497: g_variant_ref_sink: assertion 'value != NULL' failed

(cheese:2433): GLib-GIO-CRITICAL **: 01:11:18.497: g_settings_schema_key_type_check: assertion 'value != NULL' failed

(cheese:2433): GLib-CRITICAL **: 01:11:18.497: g_variant_get_type_string: assertion 'value != NULL' failed

(cheese:2433): GLib-GIO-CRITICAL **: 01:11:18.497: g_settings_set_value: key 'camera' in 'org.gnome.Cheese' expects type 's', but a GVariant of type '(null)' was given

(cheese:2433): GLib-CRITICAL **: 01:11:18.497: g_variant_unref: assertion 'value != NULL' failed

** (cheese:2433): CRITICAL **: 01:11:18.497: cheese_preferences_dialog_setup_resolutions_for_device: assertion 'device != NULL' failed

Victor Porton (porton) on 2018-06-26
tags: added: kernel-bug-exists-upstream
Victor Porton (porton) wrote :

The webcam works in Google Hangouts.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cheese (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Bug confirmed with three computers, each one using Ubuntu 18.04. Webcam works (tested with Camorama) but Cheese can't detect it.

From command line:

(cheese:13203): Gtk-WARNING **: 21:16:31.115: Theme parsing error: cheese.css:7:35: The style property GtkScrollbar:min-slider-length is deprecated and shouldn't be used anymore. It will be removed in a future version
** Message: 21:16:31.161: cheese-application.vala:211: Error during camera setup: <<Translation from Finnish: Can't detect the device.>>

(cheese:13203): cheese-CRITICAL **: 21:16:31.172: cheese_camera_device_get_name: assertion 'CHEESE_IS_CAMERA_DEVICE (device)' failed

(cheese:13203): GLib-CRITICAL **: 21:16:31.172: g_variant_new_string: assertion 'string != NULL' failed

(cheese:13203): GLib-CRITICAL **: 21:16:31.172: g_variant_ref_sink: assertion 'value != NULL' failed

(cheese:13203): GLib-GIO-CRITICAL **: 21:16:31.172: g_settings_schema_key_type_check: assertion 'value != NULL' failed

(cheese:13203): GLib-CRITICAL **: 21:16:31.172: g_variant_get_type_string: assertion 'value != NULL' failed

(cheese:13203): GLib-GIO-CRITICAL **: 21:16:31.172: g_settings_set_value: key 'camera' in 'org.gnome.Cheese' expects type 's', but a GVariant of type '(null)' was given

(cheese:13203): GLib-CRITICAL **: 21:16:31.172: g_variant_unref: assertion 'value != NULL' failed

** (cheese:13203): CRITICAL **: 21:16:31.172: cheese_preferences_dialog_setup_resolutions_for_device: assertion 'device != NULL' failed

Sebastien Bacher (seb128) wrote :

The errors are similar to the ones on https://bugzilla.gnome.org/show_bug.cgi?id=795022

Do you have pipewire installed?

Victor Porton (porton) wrote :

On 12/02/2019 22:06, Sebastien Bacher wrote:
> The errors are similar to the ones on
> https://bugzilla.gnome.org/show_bug.cgi?id=795022
>
> Do you have pipewire installed?
I does not work neither with pipewire installed nor not installed.

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.